// Package filter ...
//
// Description : filter ...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2022-07-04 18:02
package filter

// jsonNode json语法树节点定义
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 18:06 2022/7/4
type jsonNode struct {
	Name    string      // 节点名称
	Parent  *jsonNode   // 父节点
	Son     *jsonNode   // 子节点
	Brother *jsonNode   // 兄弟节点
	Val     interface{} // 节点的值
}

// lexicalNode 词法分析的节点
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 18:02 2022/7/4
type lexicalNode struct {
	Val     string // 词法分析出来的词
	IsToken bool   // 是否为关键字
}
